Bug 4507 - Serials Claims allowed to null supplier
Summary: Serials Claims allowed to null supplier
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: rel_3_2
Hardware: PC All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-14 04:16 UTC by Colin Campbell
Modified: 2012-10-25 22:52 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposd patch (1.12 KB, patch)
2010-05-14 16:25 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:59 UTC


---- Reported by colin.campbell@ptfs-europe.com 2010-05-14 16:16:59 ----

Subscriptions do not require a supplier. If you have such subscriptions the first vendor to appear in your vendor drop down is id 0 name NULL and sending a clain to them is rather hopeful.

Solution don't select these subscriptions.



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-05-14 16:25:44 ----

Created an attachment
Proposd patch





---- Additional Comments From gmcharlt@gmail.com 2010-05-17 12:58:32 ----

Patch pushed.  Please test and close.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4507 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4507
Imported an attachment (id=2134)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2134 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.